package com.zj365.health.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.network.model.InquiryInfoDetailBean
import com.xty.network.model.RespBody
import com.xty.network.model.VideoDoctorBean

class HealthBodyInquiryVm: BaseVm() {

    val inquiryDetailLiveData by lazy { MutableLiveData<RespBody<InquiryInfoDetailBean>>() }

    val videoDoctorLive by lazy { MutableLiveData<RespBody<VideoDoctorBean>>() }
    fun getInquiryDetail(id:Long){
        startHttp {
            val body = apiInterface().getInquiryInfo(id)
            body.getCodeStatus(inquiryDetailLiveData, nowData)
        }
    }

    fun getVideoDoctorType(){
        startHttp {
            var body= apiInterface().getVideoDoctorType()
            body.getCodeStatus(videoDoctorLive,nowData)
        }
    }
}